require_relative 'position'

module SnakeGame
  # Base class for all game objects
  class GameObject
    attr_accessor :position, :image

    def initialize(position, image)
      @position = position
      @image = image
    end

    def draw
      @image.draw @position.x, @position.y, 0
    end
  end
end
