require_relative 'constants'

module SnakeGame
  # Class for storing coordinates
  class Position
    include Constants
    attr_accessor :x, :y
    def initialize(x, y)
      @x = x
      @y = y
    end

    def ==(other)
      x == other.x && y == other.y
    end

    def +(other)
      Position.new (x + other.x) % WIDTH, (y + other.y) % HEIGHT
    end
  end
end
